org.crosswire.jsword.book

## Class BookData.BookVerseContent

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.TreeMap<Verse,List<org.jdom2.Content>>
    - - org.crosswire.jsword.book.BookData.BookVerseContent

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Verse,List<org.jdom2.Content>>, NavigableMap<Verse,List<org.jdom2.Content>>, SortedMap<Verse,List<org.jdom2.Content>>
  Enclosing class:
    BookData

       class BookData.BookVerseContent
      extends TreeMap<Verse,List<org.jdom2.Content>>

  A temporary holder for a map that links each verse ID to its set of OSIS elements. Used purely to avoid having too many generic/array notations entangled in the code

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serialization ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BookData.BookVerseContent()`

  - ### Method Summary

    - ### Methods inherited from class java.util.TreeMap

      `ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, size, subMap, subMap, tailMap, tailMap, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, isEmpty, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode, isEmpty`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BookData.BookVerseContent

          BookData.BookVerseContent()